AWS
action ASG

# change_subnets

Adds/removes subnets on autoscaling groups

Run it now
View details

Usage

JSON

    {
      "name": "change-subnets",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaosaws.asg.actions",
        "func": "change_subnets",
        "arguments": {
          "subnets": []
        }
      }
    }

YAML

    name: change-subnets
    provider:
      arguments:
        subnets: []
      func: change_subnets
      module: chaosaws.asg.actions
      type: python
    type: action

Type | action
Module | chaosaws.asg.actions
Name | change_subnets
Return | None

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
asg_names | list | null | No | ASG Names | One or many ASG names as a JSON encoded list
tags | list | null | No | ASG Tags | List of AWS tags for to identify ASG by tags instead of by names
subnets | list |  | Yes | Subnet IDs | List of subnets to associate with the selected ASG

One of *asg_names: a list of one or more asg names *tags: a list of key/value pair to identify asg(s) by

subnets: a list of subnet IDs to associate with the ASG

`tags` are expected as a list of dictionary objects:

    [
      {'Key': 'TagKey1', 'Value': 'TagValue1'},
      {'Key': 'TagKey2', 'Value': 'TagValue2'},
      ...
    ]

Signature

    def change_subnets(subnets: List[str],
                       asg_names: List[str] = None,
                       tags: List[dict] = None,
                       configuration: Dict[str, Dict[str, str]] = None,
                       secrets: Dict[str, Dict[str, str]] = None):
        pass

## Related starters

- AWS
  probe ASG

  ## `wait_desired_equals_healthy_tags`

  Wait until the desired number matches the number of healthy instances for each of the auto-scaling groups matching tags provided
- AWS
  probe ASG

  ## `process_is_suspended`

  Determines if one or more processes on an ASG are suspended.
- AWS
  action ASG

  ## `suspend_processes`

  Suspends 1 or more processes on a list of auto-scaling groups